# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20131102.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Nov  2 22:03:16 UTC 2013
# ------------------------------------------------------------------------------
# NEWS                             |   10 +++++++-
# dist.mk                          |    4 +--
# misc/terminfo.src                |   43 +++++++++++++++++++++++--------------
# package/debian-mingw/changelog   |    4 +--
# package/debian-mingw64/changelog |    4 +--
# package/debian/changelog         |    4 +--
# package/mingw-ncurses.nsi        |    4 +--
# package/mingw-ncurses.spec       |    2 -
# package/ncurses.spec             |    2 -
# 9 files changed, 48 insertions(+), 29 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2126 
--- ncurses-5.9-20131027+/NEWS	2013-10-28 00:17:08.000000000 +0000
+++ ncurses-5.9-20131102/NEWS	2013-11-02 21:42:02.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2126 2013/10/28 00:17:08 tom Exp $
+-- $Id: NEWS,v 1.2130 2013/11/02 21:42:02 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,14 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20131102
+	+ use TS extension to describe xterm's title-escapes -TD
+	+ modify terminator and nsterm-s to use xterm+sl-twm building block -TD
+	+ update hurd.ti, add xenl to reflect 2011-03-06 change in
+	  http://git.savannah.gnu.org/cgit/hurd/hurd.git/log/console/display.c
+	  (Debian #727119).
+	+ simplify pfkey expression in ansi.sys -TD
+
 20131027
 	+ correct/simplify ifdef's for cur_term versus broken-linker and
 	  reentrant options (report by Jean-Pierre Flori, cf: 20090530).
Index: dist.mk
Prereq:  1.952 
--- ncurses-5.9-20131027+/dist.mk	2013-10-27 10:27:05.000000000 +0000
+++ ncurses-5.9-20131102/dist.mk	2013-11-02 15:33:15.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.952 2013/10/27 10:27:05 tom Exp $
+# $Id: dist.mk,v 1.954 2013/11/02 15:33:15 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20131027
+NCURSES_PATCH = 20131102
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: misc/terminfo.src
--- ncurses-5.9-20131027+/misc/terminfo.src	2013-06-07 23:27:32.000000000 +0000
+++ ncurses-5.9-20131102/misc/terminfo.src	2013-11-02 20:56:05.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.478 $
-#	$Date: 2013/06/07 23:27:32 $
+#	$Revision: 1.481 $
+#	$Date: 2013/11/02 20:56:05 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -664,7 +664,7 @@
 	kf42=\0m, kf43=\0n, kf44=\0o, kf45=\0p, kf46=\0q,
 	kf47=\0\213, kf48=\0\214, kf5=\0?, kf6=\0@, kf7=\0A, kf8=\0B,
 	kf9=\0C, khome=\0G, kich1=\0R, knp=\0Q, kpp=\0I,
-	pfkey=\E[0;%?%p1%{11}%<%t%'\:'%e%?%p1%{13}%<%t%'z'%e%?%p1%{23}%<%t%'G'%e%?%p1%{25}%<%t%'p'%e%?%p1%'#'%<%t%'E'%e%?%p1%'%'%<%t%'f'%e%?%p1%'/'%<%t%'C'%e%{92}%;%;%;%;%;%;%;%p1%+%d;%p2"%s"p,
+	pfkey=\E[0;%?%p1%{11}%<%t%'\:'%e%p1%{13}%<%t%'z'%e%p1%{23}%<%t%'G'%e%p1%{25}%<%t%'p'%e%p1%'#'%<%t%'E'%e%p1%'%'%<%t%'f'%e%p1%'/'%<%t%'C'%e%{92}%;%p1%+%d;%p2"%s"p,
 	use=ansi.sys-old,
 
 #
@@ -1076,9 +1076,7 @@
 
 # compare with xterm+sl-twm
 nsterm+s|AppKit Terminal.app v41+ status-line (window titlebar) support,
-	hs,
-	wsl#50,
-	dsl=\E]2;\007, fsl=^G, tsl=\E]2;,
+	wsl#50, use=xterm+sl-twm,
 
 nsterm+c|AppKit Terminal.app v51+ full color support (including 16 colors),
 	op=\E[0m, use=ibm+16color,
@@ -1653,7 +1651,7 @@
 #	https://bugzilla.novell.com/show_bug.cgi?id=418613
 # apparently from
 #	http://lkml.org/lkml/2008/4/26/305
-#	http://groups.google.com/group/fa.linux.kernel/browse_thread/thread/87f98338f0d636bb/aa96e8b86cee0d1e?lnk=st&q=#aa96e8b86cee0d1e
+#	http://lkml.org/lkml/2008/10/3/66
 linux2.6.26|linux console w/o bce,
 	bce@, use=linux2.6,
 
@@ -1807,7 +1805,7 @@
 #
 # Reading the source, RIS resets cnorm, but not xmous.
 hurd|The GNU Hurd console server,
-	am, bce, bw, eo, km, mir, msgr, xon,
+	am, bce, bw, eo, km, mir, msgr, xenl, xon,
 	colors#8, it#8, ncv#18, pairs#64,
 	acsc=++\,\,--..00``aaffgghhiijjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~,
 	bel=^G, blink=\E[5m, bold=\E[1m, cbt=\E[Z, civis=\E[?25l,
@@ -4217,12 +4215,15 @@
 #    window managers such as twm (and possibly window managers descended from
 #    it such as tvtwm, ctwm, and vtwm) track windows by icon-name. Thus, you
 #    don't want to mess with icon-name when using those window managers.
+#
+# The extension "TS" is preferable, because it does not accept a parameter.
+# However, if you are using a non-extended terminfo, "TS" is not visible.
 xterm+sl|access X title line and icon name,
 	hs,
-	dsl=\E]0;\007, fsl=^G, tsl=\E]0;,
+	dsl=\E]0;\007, fsl=^G, tsl=\E]0;, TS=\E]0;,
 xterm+sl-twm|access X title line (pacify twm-descended window managers),
 	hs,
-	dsl=\E]2;\007, fsl=^G, tsl=\E]2;,
+	dsl=\E]2;\007, fsl=^G, tsl=\E]2;, TS=\E]2;,
 
 # In contrast, this block can be used for a DEC vt320 and up.  There are two
 # controls used.
@@ -5327,10 +5328,10 @@
 	cub=\E[%p1%dD, cub1=^H, cud=\E[%p1%dB, cud1=^J,
 	cuf=\E[%p1%dC, cuf1=\E[C, cup=\E[%i%p1%d;%p2%dH,
 	cuu=\E[%p1%dA, cuu1=\E[A, dch=\E[%p1%dP, dch1=\E[P,
-	dl=\E[%p1%dM, dl1=\E[M, dsl=\E]2;\007, ed=\E[J, el=\E[K,
-	el1=\E[1K, enacs=\E(B\E)0, flash=^G, fsl=^G, home=\E[H,
-	hpa=\E[%i%p1%dG, ht=^I, hts=\EH, il=\E[%p1%dL, il1=\E[L,
-	ind=^J, is1=\E[?47l\E=\E[?1l,
+	dl=\E[%p1%dM, dl1=\E[M, ed=\E[J, el=\E[K, el1=\E[1K,
+	enacs=\E(B\E)0, flash=^G, home=\E[H, hpa=\E[%i%p1%dG,
+	ht=^I, hts=\EH, il=\E[%p1%dL, il1=\E[L, ind=^J,
+	is1=\E[?47l\E=\E[?1l,
 	is2=\E[r\E[m\E[2J\E[H\E[?7h\E[?1;3;4;6l\E[4l, kbs=^H,
 	kcub1=\E[D, kcud1=\E[B, kcuf1=\E[C, kcuu1=\E[A,
 	kdch1=\E[3~, kend=\E[4~, kf1=\EOP, kf10=\E[21~,
@@ -5346,8 +5347,8 @@
 	setaf=\E[38;5;%p1%dm,
 	sgr=\E[0%?%p1%p6%|%t;1%;%?%p2%t;4%;%?%p1%p3%|%t;7%;m%?%p9%t\E(0%e\E(B%;,
 	sgr0=\E[m\E(B, smacs=\E(0, smcup=\E7\E[?47h, smir=\E[4h,
-	smso=\E[7m, smul=\E[4m, tbc=\E[3g, tsl=\E]2;%p1,
-	vpa=\E[%i%p1%dd,
+	smso=\E[7m, smul=\E[4m, tbc=\E[3g, vpa=\E[%i%p1%dd,
+	use=xterm+sl-twm,
 
 ######## UNIX VIRTUAL TERMINALS, VIRTUAL CONSOLES, AND TELNET CLIENTS
 #
@@ -21495,6 +21496,8 @@
 # Ss is a string capability with one numeric parameter.  It is used to set the
 #    cursor style as described by the DECSCUSR function to a block or
 #    underline.
+# TS is a string capability which acts like "tsl", but uses no parameter and
+#    goes to the first column of the "status line".
 # XM is a string capability which overrides ncurses's built-in string which
 #    enables xterm mouse mode.
 #
@@ -23019,4 +23022,12 @@
 #	* added note to clarify Terminal.app's non-emulation of the various
 #	  terminal types listed in the preferences dialog -TD
 #
+# 2013-11-02
+#	* use TS extension to describe xterm's title-escapes -TD
+#	* modify terminator and nsterm-s to use xterm+sl-twm building block -TD
+#	* update hurd.ti, add xenl to reflect 2011-03-06 change in
+#	  http://git.savannah.gnu.org/cgit/hurd/hurd.git/log/console/display.c
+#	  (Debian #727119).
+#	* simplify pfkey expression in ansi.sys -TD
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
Index: package/debian-mingw/changelog
--- ncurses-5.9-20131027+/package/debian-mingw/changelog	2013-10-27 10:27:05.000000000 +0000
+++ ncurses-5.9-20131102/package/debian-mingw/changelog	2013-11-02 15:33:15.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20131027) unstable; urgency=low
+ncurses6 (5.9-20131102) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 27 Oct 2013 06:27:05 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 02 Nov 2013 16:17:51 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20131027+/package/debian-mingw64/changelog	2013-10-27 10:27:05.000000000 +0000
+++ ncurses-5.9-20131102/package/debian-mingw64/changelog	2013-11-02 15:33:15.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20131027) unstable; urgency=low
+ncurses6 (5.9-20131102) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 27 Oct 2013 06:27:05 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 02 Nov 2013 16:17:51 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-5.9-20131027+/package/debian/changelog	2013-10-27 10:27:05.000000000 +0000
+++ ncurses-5.9-20131102/package/debian/changelog	2013-11-02 15:33:15.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20131027) unstable; urgency=low
+ncurses6 (5.9-20131102) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 27 Oct 2013 06:27:05 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 02 Nov 2013 16:17:51 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.9 
--- ncurses-5.9-20131027+/package/mingw-ncurses.nsi	2013-10-27 10:27:05.000000000 +0000
+++ ncurses-5.9-20131102/package/mingw-ncurses.nsi	2013-11-02 15:33:15.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.9 2013/10/27 10:27:05 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.11 2013/11/02 15:33:15 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2013"
-!define VERSION_MMDD  "1027"
+!define VERSION_MMDD  "1102"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20131027+/package/mingw-ncurses.spec	2013-10-27 16:12:33.000000000 +0000
+++ ncurses-5.9-20131102/package/mingw-ncurses.spec	2013-11-02 15:33:15.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20131027
+Release: 20131102
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20131027+/package/ncurses.spec	2013-10-27 22:29:35.000000000 +0000
+++ ncurses-5.9-20131102/package/ncurses.spec	2013-11-02 15:33:15.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20131027
+Release: 20131102
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
